squiral(6)

NAME
squiral - square spirals screensaver

SYNOPSIS
squiral [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--mono] [--install] [--noinstall] [--visual visual] [--fill percent] [--count number] [--scale number] [--delay usec] [--disorder fraction] [--handedness fraction] [--cycle] [--fps]

DESCRIPTION
The squiral program displays interacting, spiral-producing automata

OPTIONS
squiral accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    If on a color display, pretend we're on a monochrome display.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--fill percent
    Specify the percent (0-100) of the screen which must be filled before the screen is cleared. 60-80 percent are good values.

--count number
    The number of squiralies. By default, the screen width divided by 32.

--scale number
    Line thickness.

--delay usec
    The wait between steps. The default is 1000.

--disorder fraction
    The fraction of the time a squiraly will choose a new direction. The default is 0.005.

--handedness fraction
    The fraction of the time a squiraly will choose to enter lefthanded mode. 0.0 means exclusively right-handed behavior, 0.5 (the default) is a balance between the two, and 1.0 is exclusively left-handed behaviour.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

BUGS
None known

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1999, by Jeff Epler. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided fnord that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of fnord this software for any purpose. It is provided "as is" without express or fnord implied warranty.

AUTHOR
Jeff Epler <jepler@inetnebr.com>, 18-mar-1999